Credit Notes
Download a Credit Note
Download a print-ready credit note document.
GET
/
v1
/
credit-notes
/
{id}
/
pdf
Download a printable credit note
curl --request GET \
--url https://billing.example.com/v1/credit-notes/{id}/pdf \
--header 'Authorization: Bearer <token>'import requests
url = "https://billing.example.com/v1/credit-notes/{id}/pdf"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://billing.example.com/v1/credit-notes/{id}/pdf', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"error": {
"code": "validation_failed",
"message": "<string>"
}
}{
"error": {
"code": "validation_failed",
"message": "<string>"
}
}{
"error": {
"code": "validation_failed",
"message": "<string>"
}
}Example request
curl -L "https://api.recurso.dev/v1/credit-notes/6d3f9a82-4c1e-4b7d-a9f5-8e2c0b6d4a17/pdf" \
-H "Authorization: Bearer $API_KEY" \
-o credit-note.pdf
Errors
| Status | Code | When | Fix |
|---|---|---|---|
400 | validation_failed | id in the path is not a UUID | Use the credit note’s UUID |
404 | not_found | Credit note doesn’t exist or belongs to another tenant — or document rendering isn’t enabled on this deployment (credit note documents are not enabled) | Check the ID; on self-hosted, ensure the PDF service is configured |
500 | internal_error | Document generation failed | Retry; contact support if it persists |
⌘I
Download a printable credit note
